## ettercap 0.7.4.1-1maemo0

=== libltdl/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#####



pkgdatadir = $(datadir)/libltdl
pkgincludedir = $(includedir)/libltdl
pkglibdir = $(libdir)/libltdl
pkglibexecdir = $(libexecdir)/libltdl
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
#am__append_1 = ltdl.h
#am__append_2 = libltdl.la
am__append_3 = libltdlc.la
subdir = .
DIST_COMMON = README $(am__configure_deps) $(am__include_HEADERS_DIST) \
	$(am__ltdlinclude_HEADERS_DIST) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config-h.in \
	$(top_srcdir)/configure COPYING.LIB argz.c config/compile \
	config/config.guess config/config.sub config/depcomp \
	config/install-sh config/ltmain.sh  \
	config/missing  lt__dirent.c lt__strl.c
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/argz.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltdl.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)" \
	"$(DESTDIR)$(ltdlincludedir)"
LTLIBRARIES = $(lib_LTLIBRARIES) $(noinst_LTLIBRARIES)
dld_link_la_DEPENDENCIES =
am_dld_link_la_OBJECTS = dld_link.lo
dld_link_la_OBJECTS = $(am_dld_link_la_OBJECTS)
dld_link_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(dld_link_la_LDFLAGS) $(LDFLAGS) -o $@
am__DEPENDENCIES_1 =
dlopen_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_dlopen_la_OBJECTS = dlopen.lo
dlopen_la_OBJECTS = $(am_dlopen_la_OBJECTS)
dlopen_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(dlopen_la_LDFLAGS) $(LDFLAGS) -o $@
dyld_la_LIBADD =
am_dyld_la_OBJECTS = dyld.lo
dyld_la_OBJECTS = $(am_dyld_la_OBJECTS)
dyld_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(dyld_la_LDFLAGS) \
	$(LDFLAGS) -o $@
am_libltdl_la_OBJECTS = libltdl_la-preopen.lo libltdl_la-lt__alloc.lo \
	libltdl_la-lt_dlloader.lo libltdl_la-lt_error.lo \
	libltdl_la-ltdl.lo libltdl_la-slist.lo
libltdl_la_OBJECTS = $(am_libltdl_la_OBJECTS)
libltdl_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libltdl_la_LDFLAGS) $(LDFLAGS) -o $@
#am_libltdl_la_rpath = -rpath $(libdir)
am__objects_1 = libltdlc_la-preopen.lo libltdlc_la-lt__alloc.lo \
	libltdlc_la-lt_dlloader.lo libltdlc_la-lt_error.lo \
	libltdlc_la-ltdl.lo libltdlc_la-slist.lo
am_libltdlc_la_OBJECTS = $(am__objects_1)
libltdlc_la_OBJECTS = $(am_libltdlc_la_OBJECTS)
libltdlc_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libltdlc_la_LDFLAGS) $(LDFLAGS) -o $@
am_libltdlc_la_rpath =
load_add_on_la_LIBADD =
am_load_add_on_la_OBJECTS = load_add_on.lo
load_add_on_la_OBJECTS = $(am_load_add_on_la_OBJECTS)
load_add_on_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(load_add_on_la_LDFLAGS) $(LDFLAGS) -o $@
loadlibrary_la_LIBADD =
am_loadlibrary_la_OBJECTS = loadlibrary.lo
loadlibrary_la_OBJECTS = $(am_loadlibrary_la_OBJECTS)
loadlibrary_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(loadlibrary_la_LDFLAGS) $(LDFLAGS) -o $@
shl_load_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_shl_load_la_OBJECTS = shl_load.lo
shl_load_la_OBJECTS = $(am_shl_load_la_OBJECTS)
shl_load_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(shl_load_la_LDFLAGS) $(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(dld_link_la_SOURCES) $(dlopen_la_SOURCES) \
	$(dyld_la_SOURCES) $(libltdl_la_SOURCES) \
	$(libltdlc_la_SOURCES) $(load_add_on_la_SOURCES) \
	$(loadlibrary_la_SOURCES) $(shl_load_la_SOURCES)
DIST_SOURCES = $(dld_link_la_SOURCES) $(dlopen_la_SOURCES) \
	$(dyld_la_SOURCES) $(libltdl_la_SOURCES) \
	$(libltdlc_la_SOURCES) $(load_add_on_la_SOURCES) \
	$(loadlibrary_la_SOURCES) $(shl_load_la_SOURCES)
am__include_HEADERS_DIST = ltdl.h
am__ltdlinclude_HEADERS_DIST = libltdl/lt_system.h libltdl/lt_error.h \
	libltdl/lt_dlloader.h
HEADERS = $(include_HEADERS) $(ltdlinclude_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/bigbob/tmp/Building/ettercap/ettercap-0.7.4.1/libltdl/config/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/bigbob/tmp/Building/ettercap/ettercap-0.7.4.1/libltdl/config/missing --run tar
AR = ar
ARGZ_H = 
AS = as
AUTOCONF = ${SHELL} /home/bigbob/tmp/Building/ettercap/ettercap-0.7.4.1/libltdl/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/bigbob/tmp/Building/ettercap/ettercap-0.7.4.1/libltdl/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/bigbob/tmp/Building/ettercap/ettercap-0.7.4.1/libltdl/config/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FGREP = /scratchbox/tools/bin/grep -F
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /scratchbox/compilers/cs2007q3-glibc2.5-arm7/arm-none-linux-gnueabi/bin/ld
LDFLAGS = 
LIBADD_DL = -ldl 
LIBADD_DLD_LINK = 
LIBADD_DLOPEN = -ldl
LIBADD_SHL_LOAD = 
LIBOBJS =  ${LIBOBJDIR}lt__strl$U.o
LIBS = -ldl 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTDLOPEN = libltdl
LTLIBOBJS =  ${LIBOBJDIR}lt__strl$U.lo
LT_CONFIG_H = config.h
LT_DLLOADERS =  dlopen.la
LT_DLPREOPEN = -dlpreopen dlopen.la 
MAKEINFO = ${SHELL} /home/bigbob/tmp/Building/ettercap/ettercap-0.7.4.1/libltdl/config/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /scratchbox/tools/bin/mkdir -p
NM = /scratchbox/compilers/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libltdl
PACKAGE_BUGREPORT = bug-libtool@gnu.org
PACKAGE_NAME = libltdl
PACKAGE_STRING = libltdl 2.4.2
PACKAGE_TARNAME = libltdl
PACKAGE_URL = 
PACKAGE_VERSION = 2.4.2
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.4.2
abs_builddir = /home/bigbob/tmp/Building/ettercap/ettercap-0.7.4.1/libltdl
abs_srcdir = /home/bigbob/tmp/Building/ettercap/ettercap-0.7.4.1/libltdl
abs_top_builddir = /home/bigbob/tmp/Building/ettercap/ettercap-0.7.4.1/libltdl
abs_top_srcdir = /home/bigbob/tmp/Building/ettercap/ettercap-0.7.4.1/libltdl
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/bigbob/tmp/Building/ettercap/ettercap-0.7.4.1/libltdl/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sys_symbol_underscore = no
sysconfdir = /etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
ACLOCAL_AMFLAGS = -I m4
AUTOMAKE_OPTIONS = foreign

# -I$(srcdir) is needed for user that built libltdl with a sub-Automake
# (not as a sub-package!) using 'nostdinc':
AM_CPPFLAGS = -DLT_CONFIG_H='<$(LT_CONFIG_H)>' -DLTDL -I. -I$(srcdir) \
	-Ilibltdl -I$(srcdir)/libltdl -I$(srcdir)/libltdl
AM_LDFLAGS = -no-undefined
BUILT_SOURCES = $(ARGZ_H)
include_HEADERS = $(am__append_1)
noinst_LTLIBRARIES = $(LT_DLLOADERS) $(am__append_3)
lib_LTLIBRARIES = $(am__append_2)
EXTRA_LTLIBRARIES = dlopen.la dld_link.la dyld.la load_add_on.la \
	loadlibrary.la shl_load.la
EXTRA_DIST = lt__dirent.c lt__strl.c COPYING.LIB configure.ac \
	Makefile.am aclocal.m4 Makefile.in configure config-h.in \
	README argz_.h argz.c

## ettercap 0.7.3-2maemo1

=== debian/changelog ===
ettercap (1:0.7.3-2maemo1) unstable; urgency=low

  * Initial release. (Give it a TRY !!!).

 -- COLIN Stephane <colin.stephane@ovi.com>  Wed,  3 Aug 2011 00:52:50 +0200

ettercap (1:0.7.3-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Removed debconf dependency since this program does not use debconf.
    (Closes: #331818)
  * Updated dependency on libssl to libssl0.9.8. (Closes: #333637)
  * Bumped compat to 5.
  * Bumped Standards-Version to 3.7.2, no changes required. 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat,  4 Nov 2006 19:27:51 +0100

ettercap (1:0.7.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove the unneccesary Build-Depends on automake. (Closes: #376621)

 -- Eric Dorland <eric@debian.org>  Sat,  2 Sep 2006 18:52:51 -0400

ettercap (1:0.7.3-1) unstable; urgency=low

  * New upstream release (Closes: #270978 #156770 #312226 #205624)
  * It's forwarded current ettercap developers long time ago (Closes: #241913)

 -- Murat Demirten <murat@debian.org>  Mon, 06 Jun 2005 14:07:06 +0300

ettercap (1:0.7.1-1) unstable; urgency=low

  * New upstream release

 -- Murat Demirten <murat@debian.org>  Mon, 11 Oct 2004 20:24:00 +0300

ettercap (1:0.7.0-1) unstable; urgency=low

  * New upstream release
  * Package splitting notes now included in NEWS.Debian (Closes: #205172)
  * New version doesn't segfault on exit (Closes: #254675)

 -- Murat Demirten <murat@debian.org>  Wed, 07 Jul 2004 11:35:20 +0300

ettercap (1:0.6.b-2) unstable; urgency=low

  * Added autoconf and automake entry in Build-Depends field to build
    ettercap for other architectures.

 -- Murat Demirten <murat@debian.org>  Mon, 21 Jun 2003 19:57:18 +0200

ettercap (1:0.6.b-1) unstable; urgency=low

  * New upstream release
  * Package moved into main from non-us archive (See LICENSE.OPENSSL)
  * Ettercap split into three package (Closes: #197451)
    ettercap-common includes configuration files, documentation and
    plugins. ettercap-gtk compiled with gtk support and ettercap
    compiled with ncurses support (Closes: #195799)
  * Ettercap packages now install localized man pages (Closes: #181760)
  
 -- Murat Demirten <murat@debian.org>  Sun, 12 Jun 2003 14:07:27 +0200

ettercap (1:0.6.a-2) unstable; urgency=low

  * Fixed important packaging problem (Closes: #193704)
  
 -- Murat Demirten <murat@debian.org>  Sun, 18 May 2003 12:16:39 +0200

ettercap (1:0.6.a-1) unstable; urgency=low

  * New upstream release.
  * Ettercap-plugins package replaced by ettercap.
  * Ettercap properly reset its terminal when exit (Closes: #179465)
  * Removed duplicate changelog file (Closes: #176321)
  * Gtk option enabled (Closes: #185799)
  
 -- Murat Demirten <murat@debian.org>  Sun, 11 May 2003 19:27:46 +0200

ettercap (1:0.6.9-1) unstable; urgency=low

  * New upstream release.
  
 -- Murat Demirten <murat@debian.org>  Fri, 31 Jan 2003 00:48:25 +0200

ettercap (1:0.6.7-1) unstable; urgency=low

  * New upstream release.
  
 -- Murat Demirten <murat@debian.org>  Tue, 02 Jul 2002 21:53:38 +0200

ettercap (1:0.6.6.6-1) unstable; urgency=low

  * New upstream release.
  
 -- Murat Demirten <murat@debian.org>  Mon, 03 Jun 2002 17:43:20 +0200

ettercap (1:0.6.5-1) unstable; urgency=low

  * New upstream release.
  
 -- Murat Demirten <murat@debian.org>  Tue, 23 Apr 2002 12:01:39 +0200

ettercap (1:0.6.4-1) unstable; urgency=low

  * New upstream release.
  * Fixes long description line bug of ettercap. (Closes: #130953)
  * Fixes long description line bug of ettercap-plugins. (Closes: #130952)
  
 -- Murat Demirten <murat@debian.org>  Fri, 21 Feb 2002 22:36:17 +0200

ettercap (0.6.4.cvs20020101-1) unstable; urgency=low

  * Fixed packaging problems which prevents automatic rebuilding for
    ports other than mipsel. 
  * Configuration files go to /etc/ettercap directory.
  * Better description field
  * CVS snapshot used which doesn't have some plugin config file problems. 
  
 -- Murat Demirten <murat@debian.org>  Tue, 1 Jan 2002 18:11:41 +0200

ettercap (0.6.3.1-1) unstable; urgency=low

  * Initial Release (Closes: #112980)

 -- Murat Demirten <murat@debian.org>  Wed, 19 Dec 2001 13:08:46 +0200

=== debian/control ===
Source: ettercap
Section: net
Priority: optional
Maintainer: Murat Demirten <murat@debian.org>
Build-Depends: debhelper (>> 5), autoconf, libncurses-dev, libgtk2.0-dev, libltdl3-dev, libssl0.9.8, libssl-dev, libpcap0.8-dev, libnet1-dev, libpcre3-dev 
Standards-Version: 3.7.2

Package: ettercap-common
Architecture: any
Depends: ${shlibs:Depends}
Recommends: ettercap | ettercap-gtk
Replaces: ettercap-plugins, ettercap (<= 1:0.6.a-2)
Conflicts: ettercap-plugins, ettercap (<= 1:0.6.a-2)
Description: Common support files and plugins for ettercap
 It includes all of the configuration files, plugins and documentation.

Package: ettercap
Architecture: any
Depends: ${shlibs:Depends}, ettercap-common (= ${Source-Version})
Replaces: ettercap-gtk
Conflicts: ettercap-gtk
Description: Multipurpose sniffer/interceptor/logger for switched LAN
 Ettercap supports active and passive dissection of many protocols 
 (even ciphered ones) and includes many feature for network and host 
 analysis.
 .
 Data injection in an established connection and filtering (substitute
 or drop a packet) on the fly is also possible, keeping the connection
 synchronized.
 .
 Many sniffing modes were implemented to give you a powerful and complete 
 sniffing suite. It's possible to sniff in four modes: IP Based, MAC Based,
 ARP Based (full-duplex) and PublicARP Based (half-duplex).
 .
 It has the ability to check whether you are in a switched LAN or
 not, and to use OS fingerprints (active or passive) to let you know the
 geometry of the LAN.

Package: ettercap-gtk
Architecture: any
Depends: ${shlibs:Depends}, ettercap-common (= ${Source-Version})
Replaces: ettercap
Conflicts: ettercap
Recommends: gksu
Description: Multipurpose sniffer/interceptor/logger for switched LAN
 .
 This package includes gtk enabled version of ettercap. It also
 includes ncurses support.
 .
 Ettercap supports active and passive dissection of many protocols 
 (even ciphered ones) and includes many feature for network and host 
 analysis.
 .
 Data injection in an established connection and filtering (substitute
 or drop a packet) on the fly is also possible, keeping the connection
 synchronized.
 .
 Many sniffing modes were implemented to give you a powerful and complete 
 sniffing suite. It's possible to sniff in four modes: IP Based, MAC Based,
 ARP Based (full-duplex) and PublicARP Based (half-duplex).
 .
 It has the ability to check whether you are in a switched LAN or
 not, and to use OS fingerprints (active or passive) to let you know the
 geometry of the LAN.

## ettercap 0.7.3-2maemo2

=== debian/changelog ===
ettercap (1:0.7.3-2maemo2) unstable; urgency=low

  * Fix dependencies from libltdl3 to libltdl7 ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Wed, 10 Aug 2011 20:47:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Murat Demirten <murat@debian.org>
-Build-Depends: debhelper (>> 5), autoconf, libncurses-dev, libgtk2.0-dev, libltdl3-dev, libssl0.9.8, libssl-dev, libpcap0.8-dev, libnet1-dev, libpcre3-dev 
+Build-Depends: debhelper (>> 5), autoconf, libncurses-dev, libgtk2.0-dev, libltdl7-dev, libssl0.9.8, libssl-dev, libpcap0.8-dev, libnet1-dev, libpcre3-dev 
 Standards-Version: 3.7.2
 
 Package: ettercap-common

## ettercap 0.7.3-2maemo3

=== debian/changelog ===
ettercap (1:0.7.3-2maemo3) unstable; urgency=low

  * Try to Fix the bug about targetting the whole network, reverting to the
    source code of post (but against libltdl7) :

      http://talk.maemo.org/showpost.php?p=852862&postcount=17

 -- COLIN Stephane <colin.stephane@ovi.com>  Thu, 11 Aug 2011 01:12:03 +0200

## ettercap 0.7.3-2maemo4

=== debian/changelog ===
ettercap (1:0.7.3-2maemo4) unstable; urgency=low

  * Fix 'Dissector dns not supported (etter.conf line 70)'.

 -- COLIN Stephane <colin.stephane@ovi.com>  Sat, 13 Aug 2011 16:07:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Murat Demirten <murat@debian.org>
-Build-Depends: debhelper (>> 5), autoconf, libncurses-dev, libgtk2.0-dev, libltdl7-dev, libssl0.9.8, libssl-dev, libpcap0.8-dev, libnet1-dev, libpcre3-dev 
+Build-Depends: debhelper (>> 5), autoconf, libncurses-dev, libgtk2.0-dev, libltdl7-dev, libssl-dev, libpcap0.8-dev, libnet1-dev, libpcre3-dev 
 Standards-Version: 3.7.2
 
 Package: ettercap-common

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
# export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=5

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	## To build ettercap.fr.8 added AC_OUTPUT entry
	# sed -e 's/AC_OUTPUT(ettercap.spec ettercap.8 Makefile $makeplug win32\/ettercap.nsi)/AC_OUTPUT(docs\/fr\/ettercap.fr.8 ettercap.spec ettercap.8 Makefile $makeplug win32\/ettercap.nsi)/' configure.in > .debian.configure.in
	#mv .debian.configure.in configure.in
	#autoconf

	# Add here commands to compile the package.
	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
	--exec-prefix=/usr --enable-https --enable-gtk --enable-plugins \
	--sysconfdir=/etc 

	$(MAKE)

	cp src/ettercap ettercap-gtk

	make clean	

	./configure --disable-gtk --enable-plugins \
	--prefix=/usr --mandir=/usr/share/man --enable-https \
	--sysconfdir=/etc

	$(MAKE)

#	dh_testdir
#	cd plugins && $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	rm -f ettercap-gtk
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/ettercap.
	$(MAKE) DATADIR=/etc/ettercap DESTDIR=$(CURDIR)/debian/ettercap-common install
	#/usr/bin/install -m 700 ettercap debian/ettercap/usr/sbin/
	rm -rf debian/ettercap-common/usr/share/doc/ettercap
	rm -f debian/ettercap-common/etc/ettercap/AUTHORS
	rm -f debian/ettercap-common/etc/ettercap/THANKS
	rm -f debian/ettercap-common/usr/share/man/man8/ettercap.8
	rm -f debian/ettercap/usr/share/doc/ettercap-common/CHANGELOG
	rm -f debian/ettercap/usr/share/doc/ettercap-common/ettercap.8

	rm -f debian/ettercap-common/usr/bin/ettercap

	install -m 700 ettercap-gtk debian/ettercap-gtk/usr/sbin/ettercap
	install -m 700 src/ettercap debian/ettercap/usr/sbin/ettercap 
	
	# dh_testdir
	cd plug-ins && $(MAKE) DATADIR=/etc/ettercap DESTDIR=$(CURDIR)/debian/ettercap-common install

#	dh_movefiles

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
#	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
#	dh_installcron -a
	dh_installman -pettercap-gtk man/ettercap.8
	dh_installman -pettercap man/ettercap.8
	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs CHANGELOG -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ettercap 0.7.4

=== debian/changelog ===
ettercap (1:0.7.4-3) unstable; urgency=low

  * Add build dependency on flex or other lex provider

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 13 Aug 2011 06:58:24 +0200

ettercap (1:0.7.4-2) unstable; urgency=low

  * Add build dependency on bison or other yacc provider
  * Expand description in executable packages

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 12 Aug 2011 22:25:44 +0200

ettercap (1:0.7.4-1) unstable; urgency=low

  * Add new maintainer
  * Merge NMUs and Ubuntu patches
  * New upstream release
    - remove superceded quilt patches
    - remove superceded Ubuntu patches
    - includes desktop and icon files
    - devleopment moved to github
  * Update debian packaging
    - Reorganised package names: ettercap-common holds everything
      except the actual ettercap executable.  This comes in two varieties,
      which are in ettercap-text-only and ettercap-graphical.  The latter
      has both the textual and graphical interfaces, and is thus a
      functional superset of the former.
    - bump to source format 3
    - add watch file pointing to new upstream repo on github
    - dh 8
    - simplify and shorten rules and related info
    - bump policy version
    - add homepage and vcs control fields
    - put long description on ettercap-common, stub descriptions elsewhere
    - silence most lintian issues, such as duplicated upsteam changelog
    - remove old /usr/share/ettercap symlink deletion in installation scripts

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 12 Aug 2011 15:28:59 +0200

ettercap (1:0.7.3-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * 03_fix_ltmain_check.diff: New patch to fix builds with newer
    grep. (Closes: #634576)
  * debian/control: Build-Depends against libssl-dev instead of
    libssl0.9.8. (Closes: #621391)

 -- Tim Retout <diocles@debian.org>  Fri, 29 Jul 2011 19:15:22 +0100

ettercap (1:0.7.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * 01_pointers_and_ints_dont_mix.diff: Cast to u_char* rather than
    simply removing the cast.  Updated patch by Robert Edmonds.
    (Closes: #521857)

 -- Tim Retout <diocles@debian.org>  Thu, 07 Oct 2010 20:34:05 +0100

ettercap (1:0.7.3-2) unstable; urgency=low

  * Ettercap can see wifi traffics with new libpcap (Closes: #385746).
  * Ettercap now can build with --enable-debug too (Closes: #438185).
  * Package should not be orphaned (Closes: #543741).

 -- Murat Demirten <murat@debian.org>  Thu, 29 Sep 2009 17:20:41 +0200

ettercap (1:0.7.3-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Add forgotten build-dependency on autotools-dev, thanks KiBi!

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 09 Jul 2009 12:21:41 +0200

ettercap (1:0.7.3-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/series, debian/patches/01_pointers_and_ints_dont_mix.diff:
    added, patch by Timothy Redaelli fixes segfault. (Closes: #521857)
  * debian/control: add quilt build-depedency,
    use binary:Version instead of Source-Version.
  * debian/rules: use dh_quilt_{un,}patch to apply/unapply patches,
    use new config.{guess,sub}, drop deprecated DH_COMPAT.
  * debian/compat: added.
  * debian/ettercap-gtk.menu: use su-to-root. (Closes: #479812),
    replace Apps/Net with new section Applications/Network/Monitoring.
  * debian/NEWS.Debian: add space before "-- Murat.." to fix syntax error.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 09 Jul 2009 10:36:14 +0200

## ettercap 0.7.4.1

=== debian/changelog ===
ettercap (1:0.7.4.1-1) unstable; urgency=low

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 02 Sep 2011 17:16:06 +0100

=== debian/rules ===
#!/usr/bin/make -f

dh_targets=binary binary-arch binary-indep build build-arch build-indep clean install

$(dh_targets) %:
	dh $@ --with autoreconf --parallel

.PHONY: $(dh_targets)

override_dh_autoreconf:
	mkdir -p libltdl/m4
	dh_autoreconf

override_dh_auto_configure:
	@echo main configuration deferred until build, as it must be done twice

override_dh_auto_build:
	dh_auto_configure -- --enable-https --enable-plugins --disable-gtk
	$(MAKE) -C src
	cp src/ettercap ettercap-text-only
	$(MAKE) -C src clean
	dh_auto_configure -- --enable-https --enable-plugins --enable-gtk
	$(MAKE)

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/usr/sbin
	install --mode=0755 ettercap-text-only debian/tmp/usr/sbin/

override_dh_install:
	dh_install
	mkdir -p debian/ettercap-text-only/usr/sbin
	install --mode=0755 \
	 debian/tmp/usr/sbin/ettercap-text-only \
	 debian/ettercap-text-only/usr/sbin/ettercap
	-rm --verbose debian/ettercap-common/usr/share/ettercap/ettercap.png

=== debian/watch ===
version=3
http://githubredir.debian.net/github/drizztbsd/ettercap \
 /github/drizztbsd/ettercap/NG-(.*).tar.gz

## ettercap 0.7.4.1-1maemo0

=== debian/changelog ===
ettercap (1:0.7.4.1-1maemo0) unstable; urgency=low

  * Pushed the version to the latest 0.7.4.1 (aka 0.7.4-Lazarus) ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Tue,  4 Dec 2012 11:00:40 +0100

## ettercap 0.7.4.2

=== debian/changelog ===
ettercap (1:0.7.4.2-1) unstable; urgency=low

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 13 Nov 2011 22:30:45 +0000

ettercap (1:0.7.4.1+git.17fac4c4a-1) unstable; urgency=low

  * Track upstream with snapshot release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 09 Nov 2011 15:57:15 +0000

=== debian/control ===
Source: ettercap
Section: net
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Uploaders: Murat Demirten <murat@debian.org>
Build-Depends: debhelper (>= 8),
	dh-autoreconf,
	bison | bison++ | byacc | byacc-j | yacc | btyacc,
	flex | lex,
	libgtk2.0-dev,
	libltdl3-dev,
	libncurses-dev,
	libnet1-dev,
	libpcap0.8-dev,
	libpcre3-dev,
	libssl-dev,
Standards-Version: 3.9.2
Homepage: http://ettercap.sourceforge.net
Vcs-Git: git://github.com/barak/ettercap.git
Vcs-Browser: http://github.com/barak/ettercap

Package: ettercap-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ettercap-graphical | ettercap-text-only
Replaces: ettercap-plugins
Conflicts: ettercap-plugins, ettercap (<= 1:0.7.3)
Description: Multipurpose sniffer/interceptor/logger for switched LAN
 Ettercap supports active and passive dissection of many protocols 
 (even encrypted ones) and includes many feature for network and host 
 analysis.
 .
 Data injection in an established connection and filtering (substitute
 or drop a packet) on the fly is also possible, keeping the connection
 synchronized.
 .
 Many sniffing modes are implemented, for a powerful and complete 
 sniffing suite. It is possible to sniff in four modes: IP Based, MAC Based,
 ARP Based (full-duplex) and PublicARP Based (half-duplex).
 .
 Ettercap also has the ability to detect a switched LAN, and to use OS
 fingerprints (active or passive) to find the geometry of the LAN.
 .
 This package contains the Common support files, configuration files,
 plugins, and documentation.  You must also install either
 ettercap-graphical or ettercap-text-only for the actual GUI-enabled
 or text-only ettercap executable, respectively.

Package: ettercap-text-only
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ettercap-common (= ${binary:Version})
Replaces: ettercap-gtk, ettercap-graphical, ettercap (<= 1:0.7.3)
Conflicts: ettercap-gtk, ettercap-graphical, ettercap (<= 1:0.7.3)
Provides: ettercap
Description: Ettercap console-mode executable
 Ettercap supports active and passive dissection of many protocols 
 (even encrypted ones) and includes many feature for network and host 
 analysis.
 .
 Data injection in an established connection and filtering (substitute
 or drop a packet) on the fly is also possible, keeping the connection
 synchronized.
 .
 Many sniffing modes are implemented, for a powerful and complete 
 sniffing suite. It is possible to sniff in four modes: IP Based, MAC Based,
 ARP Based (full-duplex) and PublicARP Based (half-duplex).
 .
 Ettercap also has the ability to detect a switched LAN, and to use OS
 fingerprints (active or passive) to find the geometry of the LAN.
 .
 This package contains the ettercap text-mode-only executable.

Package: ettercap-graphical
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ettercap-common (= ${binary:Version})
Replaces: ettercap-gtk, ettercap-text-only, ettercap (<= 1:0.7.3)
Conflicts: ettercap-gtk, ettercap-text-only, ettercap (<= 1:0.7.3)
Provides: ettercap
Recommends: gksu
Description: Ettercap GUI-enabled executable
 Ettercap supports active and passive dissection of many protocols 
 (even encrypted ones) and includes many feature for network and host 
 analysis.
 .
 Data injection in an established connection and filtering (substitute
 or drop a packet) on the fly is also possible, keeping the connection
 synchronized.
 .
 Many sniffing modes are implemented, for a powerful and complete 
 sniffing suite. It is possible to sniff in four modes: IP Based, MAC Based,
 ARP Based (full-duplex) and PublicARP Based (half-duplex).
 .
 Ettercap also has the ability to detect a switched LAN, and to use OS
 fingerprints (active or passive) to find the geometry of the LAN.
 .
 This package contains the ettercap GUI-enabled executable.
